com.streambase.sb

## Class StreamBaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Direct Known Subclasses:
    AlreadyRegisteredException, ArtifactException, ClusterRedirectException, HAServerIOException, LiveViewException, NetworkException, NotImplementedException, NotSupportedException, ResourceNotFoundException, SchemaValidationException, StreamBaseListException, TupleException, TypecheckException, URIException

      public class StreamBaseException
      extends Exception
      implements LocatedItem, Serializable

  The base class of all StreamBase non-runtime exceptions.
  See Also:
    `StreamBaseRuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamBaseException(LocatedItem loc, String msg)` Constructor
    `StreamBaseException(LocatedItem loc, String msg, Throwable cause)` Constructor
    `StreamBaseException(LocatedItem loc, Throwable cause)`
    `StreamBaseException(String a_message)` Constructor
    `StreamBaseException(String a_message, Throwable a_cause)` Constructor
    `StreamBaseException(Throwable a_cause)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `asXmlStringSingle(Throwable t, StringBuilder s, int formateterFlags)` Create an XML string that represents the exception
    `String` | `asXmlStringStrict()` Create an XML String that represents this Exception Strictly preserve the original message that was passed to this exception, which is different from other asXmlString*() functions, which decorate the message with additional location data
    `static void` | `asXmlStringStrict(Throwable t, StringBuilder s)` Create an XML String that represents the Exception
    `boolean` | `equals(Object obj)`
    `Map<String,String>` | `getParams()` Get parameters
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### StreamBaseException

          public StreamBaseException(String a_message)

      Constructor
      Parameters:
        `a_message` - Exception message

    - #### StreamBaseException

          public StreamBaseException(String a_message,
                                     Throwable a_cause)

      Constructor
      Parameters:
        `a_message` - Exception message
        `a_cause` - Exception cause

    - #### StreamBaseException

          public StreamBaseException(Throwable a_cause)

      Constructor
      Parameters:
        `a_cause` - Exception cause

    - #### StreamBaseException

          public StreamBaseException(LocatedItem loc,
                                     String msg)

      Constructor
      Parameters:
        `loc` - Item location
        `msg` - Exception message

    - #### StreamBaseException

          public StreamBaseException(LocatedItem loc,
                                     String msg,
                                     Throwable cause)

      Constructor
      Parameters:
        `loc` - Item location
        `msg` - Exception message
        `cause` - Exception cause

    - #### StreamBaseException

          public StreamBaseException(LocatedItem loc,
                                     Throwable cause)

      Parameters:
        `loc` -
        `cause` -

  - ### Method Detail

    - #### asXmlStringStrict

          public String asXmlStringStrict()

      Create an XML String that represents this Exception Strictly preserve the original message that was passed to this exception, which is different from other asXmlString*() functions, which decorate the message with additional location data
      Returns:
        the XML string representation of this exception, strictly preserving the original error message

    - #### asXmlStringStrict

          public static void asXmlStringStrict(Throwable t,
                                               StringBuilder s)

      Create an XML String that represents the Exception

      Strictly preserve the original message that was passed to the exception, which is different from other asXmlString*() functions, which decorate the message with additional location data

      Parameters:
        `t` - Exception to convert to an XML string
        `s` - XML String returned here

    - #### asXmlStringSingle

          public static void asXmlStringSingle(Throwable t,
                                               StringBuilder s,
                                               int formateterFlags)

      Create an XML string that represents the exception
      Parameters:
        `t` - Exception to convert to XML string
        `s` - XML string returned here
        `formateterFlags` - Formatting flags See `ErrorFormatter`.

    - #### getParams

          public Map<String,String> getParams()

      Get parameters
      Returns:
        Parameter map

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.